{ pkgs, ... }:
{
  services.pipewire = {
    enable = true;
    raopOpenFirewall = true;
    alsa.enable = true;
    alsa.support32Bit = true;
    pulse.enable = true;
    extraConfig.pipewire = {
      "10-airplay" = {
        "context.modules" = [
          {
            name = "libpipewire-module-raop-discover";

            # increase the buffer size if you get dropouts/glitches
            # args = {
            #   "raop.latency.ms" = 500;
            # };
          }
        ];
      };
    };
  };
  environment.systemPackages = with pkgs; [
    helvum
    easyeffects
    pavucontrol
  ];
}
